AnsweredAssumed Answered

Problem with CodeWarrior for Coldfire 6.4 and C++

Question asked by DJ Sisolak on Dec 1, 2017
Latest reply on Dec 6, 2017 by Carlos_Mendoza

I have an old project that uses CW for Coldfire 6.4 to build for the MCF5272. This has worked on XP for a while but i would like to move the development to the Windows 10 x64 platform. I ran into issues running the installation (driver would not install and updates could not be done through the utility) but I did manage eventually to get the app installed (without any updates). However, when i go to build my old project it appears that none of the selections from the preferences are being acknowledged. I get compile errors telling me that things like "bool" is not defined and "class" is not defined and the cplusplus pragmas are illegal even though I have selected "Force C++ Compilation" and "Enable bool support". Any idea what failed on the Win10 install that this would happen?

 

Thanks,

DJ Sisolak

Outcomes